fop 1.1

## org.apache.fop.svg
Class PDFANode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.gvt.CompositeGraphicsNode
              org.apache.fop.svg.PDFANode

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List, org.apache.batik.gvt.GraphicsNode

    public class PDFANode

extends org.apache.batik.gvt.CompositeGraphicsNode

A graphics node that represents an image described as a graphics node.

This work was authored by Keiron Liddle (keiron@aftexsw.com).

Field Summary

Fields inherited from class org.apache.batik.gvt.CompositeGraphicsNode
`backgroundEnableRgn, children, count, modCount, NULL_RECT, VIEWPORT`

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`PDFANode()` Constructs a new empty `PDFANode`.

Method Summary
`void` `paint(java.awt.Graphics2D g2d)` Paints this node if visible.
`void` `setDestination(java.lang.String dest)` Set the destination String.
`void` `setTransform(java.awt.geom.AffineTransform tf)` Set the current transform of this node.

Methods inherited from class org.apache.batik.gvt.CompositeGraphicsNode

`add, add, addAll, addAll, clear, contains, contains, containsAll, ensureCapacity, get, getBackgroundEnable, getChildren, getGeometryBounds, getOutline, getPrimitiveBounds, getSensitiveBounds, getTransformedBBox, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, indexOf, invalidateGeometryCache, isEmpty, iterator, lastIndexOf, listIterator, listIterator, nodeHitAt, primitivePaint, remove, remove, removeAll, retainAll, set, setBackgroundEnable, setRoot, setVisible, size, subList, toArray, toArray`

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode

`fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getWeakReference, intersects, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, normalizeRectangle, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### PDFANode

    public PDFANode()

  Constructs a new empty `PDFANode`.

Method Detail

### setDestination

    public void setDestination(java.lang.String dest)

  Set the destination String.

  Parameters:
    `dest` - the target destination

### setTransform

    public void setTransform(java.awt.geom.AffineTransform tf)

  Set the current transform of this node.

  Specified by:
    `setTransform` in interface `org.apache.batik.gvt.GraphicsNode`
  Overrides:
    `setTransform` in class `org.apache.batik.gvt.AbstractGraphicsNode`
  Parameters:
    `tf` - the transform

### paint

    public void paint(java.awt.Graphics2D g2d)

  Paints this node if visible.

  Specified by:
    `paint` in interface `org.apache.batik.gvt.GraphicsNode`
  Overrides:
    `paint` in class `org.apache.batik.gvt.AbstractGraphicsNode`
  Parameters:
    `g2d` - the Graphics2D to use

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.